# Analytics

## Dashboard

You are welcome to use the dashboard here - <https://cyclone.xyz/analytics> - which shows the $CYC supply, number of deposits, pool value in USD along with other information, in real time.

![](/files/-MS03pKKGMgZKh-WX2qq)

## GraphQL

We have decoded and indexed Cyclone contracts data so every one can run powerful analysis with simple GraphQL queries through <https://analytics.cyclone.xyz/playground>. Some typical queries look like below.

![](/files/-MRT7t86WTEoLuibF46g)

### Total IOTX Deposited in All Pools

`query { tokensInPoolPerDay(count: 7) { name values { timestamp value } } }`

### Total IOTX Deposited and the Fee Associated

`query { total { iotx fee } }`

### Total IOTX Deposited per Day

`query { totalPoolPerDay(count: 7) { timestamp value } }`

### Points a User Gets for the airdrop

`query { airdropScore(address: "io1tmt2vp28afp2vd3h598n0lwu6sj3lyc64apjw3") }`

### 15 Luckiest Deposits in Pool 1

`query { luckyDrawTopN(poolAddress: "io1rqm2keejw4jypgl0w6hr96r054ns63u0hqrfuy", n: 15) { hash address method } }`

### 15 Luckiest Deposits in Pool 2

`query { luckyDrawTopN(poolAddress: "io1gkeeljp4grwskgq3tl2xqglqy546nhhmytnqqp", n: 15) { hash address method } }`

### 15 Luckiest Deposits in Pool 3

`query { luckyDrawTopN(poolAddress: "io1mlcgsv4ma0t6gffpxg2gva3lwqnlj5msradxk6", n: 15) { hash address method } }`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyclone.xyz/analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
